Made by BloodBTF, August 2021

Base: Zipper
Class: Amateur
Trans: FWD
Top Speed: 32 mph
Accel: Very High
Handling: OK
Weight: 1.4kg

My RVW Summer Contest entry. This car is intended to be a sister car of Zipper, and thus shares a similar model and art style for the main livery. I hope you like it!

Tools used: Gimp, Blender, RVGL, Notepad

You may not use this work for commercial purposes